﻿@using UserPremiumCaluculator.Models
@model UserPremiumModel
@{
    ViewBag.Title = "User Premium Calculator";
}
<h2>Premium Calculator</h2>
<div class="row">
    <div class="col-md-8">
        <section id="premiumCalculator">
            @*@using (Html.BeginForm("", "", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                {*@
            <div class="form-horizontal">
                <div class="form-group">
                    @Html.LabelFor(m => m.Name, new { @class = "col-md-2 control-label" })
                    <div class="col-md-10">

                        @Html.TextBoxFor(m => m.Name, new { @id = "txtname", @class = "form-control" })

                    </div>
                </div>
                <div class="form-group">
                    @Html.Label("Date of Birth", new { @class = "col-md-2 control-label" })
                    <div class="col-md-10">

                        @Html.TextBoxFor(m => m.DateofBirth, new { @id = "txtDob", @class = "form-control" })

                    </div>
                </div>
                <div class="form-group">
                    @Html.LabelFor(m => m.Gender, new { @class = "col-md-2 control-label" })
                    <div class="col-md-10">

                        @Html.RadioButtonFor(model => model.Gender, "Male")
                        @Html.Label("male", "Male")

                        @Html.RadioButtonFor(model => model.Gender, "Female")
                        @Html.Label("female", "Female")

                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-offset-2 col-md-10">
                        <input type="submit" value="Calculate" class="btn btn-default" id="btnSubmit" />
                    </div>
                </div>

                <div class="form-group" id="resultdiv" style="display:none">
                    <div class="form-group">
                        @Html.Label("Premium", new { @id = "lblPremium", @class = "form-control" })
                    </div>

                </div>



            </div>

        </section>
    </div>
</div>


            @Scripts.Render("~/bundles/jquery")
            @Scripts.Render("~/bundles/jqueryui")
            @*@Styles.Render("~/Content/style")*@
<link href="https://cdn.bootcss.com/jqueryui/1.12.1/jquery-ui.css" rel="stylesheet">
            

            <script type="text/javascript">

                $(document).ready(function () {
                    $('#txtDob').datepicker({
                        dateFormat: "dd/mm/yy",
                        changeMonth: true,
                        changeYear: true,
                        yearRange: "-60:+0"
                    });

                });
            </script>



<script type="text/javascript">
    $(document).ready(function () {
        $("#btnSubmit").click(function (e) {
            var name = $('#txtname').val();
            var dob = $('#txtDob').val();
            var myRadio = $('input[name=Gender]');
            var checkedValue = myRadio.filter(':checked').val();
            var gender = checkedValue;

            if (name == "" || dob == "" || gender == null) {
                alert('Please give required input.');
                return false;
            }
            e.preventDefault();
            $.ajax(
        {
            type: "Post",
            url: "../UserPremium/CalculatePremium",
            data: JSON.stringify({ "Name": name, "birthdate": dob, "Gender": gender }),
            datatype: JSON,
            cache: false,
            contentType: "application/json; charset=utf-8",
            success: function (result) {

                $("#resultdiv").show();
                if (result[1] != "Not available") {
                    $("#lblPremium").html("Hi " + result[0] + " , Your Calculated Premium is $ " + result[1]);
                }
                else {
                    $("#lblPremium").html("Hi " + result[0] + ", Premium is Calculated only for ages between 18 and 65.");
                }
                $('#txtname').val('');
                $('#txtDob').val('');

            }

        });

        }
    )
    })

</script>
